libstdc++: std::complex< long double > Class Reference

libstdc++

std::complex< long double > Class Reference
Numerics » Complex Numbers

`#include <complex>`

## Public Types
typedef __complex__ long double | _ComplexT
typedef long double | value_type

## Public Member Functions
constexpr | complex (_ComplexT __z)
constexpr | complex (const complex &)=default
constexpr | complex (long double __r=0.0L, long double __i=0.0L)
| __attribute ((__abi_tag__("cxx11"))) const expr long double imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr long double real() const
constexpr _ComplexT | __rep () const
template<typename _Up>
| explicit (!requires(_Up __u) { value_type{__u};}) const expr complex(const complex< _Up > &__z)
constexpr void | imag (long double __val)
template<typename _Tp>
constexpr complex & | operator*= (const complex< _Tp > &__z)
constexpr complex & | operator*= (long double __r)
template<typename _Tp>
constexpr complex & | operator+= (const complex< _Tp > &__z)
constexpr complex & | operator+= (long double __r)
template<typename _Tp>
constexpr complex & | operator-= (const complex< _Tp > &__z)
constexpr complex & | operator-= (long double __r)
template<typename _Tp>
constexpr complex & | operator/= (const complex< _Tp > &__z)
constexpr complex & | operator/= (long double __r)
constexpr complex & | operator= (const complex &)=default
template<typename _Tp>
constexpr complex & | operator= (const complex< _Tp > &__z)
constexpr complex & | operator= (long double __r)
constexpr void | real (long double __val)

## Detailed Description

26.2.3 complex specializations complex<long double> specialization

Definition at line 1754 of file complex.

## Member Typedef Documentation

## ◆ _ComplexT

typedef __complex__ long double std::complex< long double >::_ComplexT

Definition at line 1758 of file complex.

## ◆ value_type

typedef long double std::complex< long double >::value_type

Definition at line 1757 of file complex.

## Constructor & Destructor Documentation

## ◆ complex() [1/2]

std::complex< long double >::complex | ( | _ComplexT | __z | ) |
| inlineconstexpr

Definition at line 1760 of file complex.

## ◆ complex() [2/2]

std::complex< long double >::complex | ( | long double | __r = 0.0L,
|  | long double | __i = 0.0L )
| inlineconstexpr

Definition at line 1762 of file complex.

## Member Function Documentation

## ◆ __attribute() [1/2]

std::complex< long double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const
| inline

Definition at line 1797 of file complex.

## ◆ __attribute() [2/2]

std::complex< long double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const
| inline

Definition at line 1793 of file complex.

## ◆ __rep()

_ComplexT std::complex< long double >::__rep | ( |  | ) | const
| inlineconstexpr

Definition at line 1904 of file complex.

## ◆ explicit()

template<typename _Up>

std::complex< long double >::explicit | ( | !requires(_Up __u) { value_type{__u};} |  | ) | const &
| inline

Definition at line 1779 of file complex.

## ◆ imag()

void std::complex< long double >::imag | ( | long double | __val | ) |
| inlineconstexpr

Definition at line 1820 of file complex.

## ◆ operator*=() [1/2]

template<typename _Tp>

complex & std::complex< long double >::operator*= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1888 of file complex.

## ◆ operator*=() [2/2]

complex & std::complex< long double >::operator*= | ( | long double | __r | ) |
| inlineconstexpr

Definition at line 1844 of file complex.

## ◆ operator+=() [1/2]

template<typename _Tp>

complex & std::complex< long double >::operator+= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1872 of file complex.

## ◆ operator+=() [2/2]

complex & std::complex< long double >::operator+= | ( | long double | __r | ) |
| inlineconstexpr

Definition at line 1830 of file complex.

## ◆ operator-=() [1/2]

template<typename _Tp>

complex & std::complex< long double >::operator-= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1880 of file complex.

## ◆ operator-=() [2/2]

complex & std::complex< long double >::operator-= | ( | long double | __r | ) |
| inlineconstexpr

Definition at line 1837 of file complex.

## ◆ operator/=() [1/2]

template<typename _Tp>

complex & std::complex< long double >::operator/= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1897 of file complex.

## ◆ operator/=() [2/2]

complex & std::complex< long double >::operator/= | ( | long double | __r | ) |
| inlineconstexpr

Definition at line 1851 of file complex.

## ◆ operator=() [1/2]

template<typename _Tp>

complex & std::complex< long double >::operator= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1864 of file complex.

## ◆ operator=() [2/2]

complex & std::complex< long double >::operator= | ( | long double | __r | ) |
| inlineconstexpr

Definition at line 1823 of file complex.

## ◆ real()

void std::complex< long double >::real | ( | long double | __val | ) |
| inlineconstexpr

Definition at line 1817 of file complex.

The documentation for this class was generated from the following file:

- complex